<html>
<head>

<title>jabber.el</title>
</head>
<body>
<h1>jabber.el</h1><br>
<h2>a minimal jabber client for emacs</h2><br>
<!-- here are some <a href="http://intellectronica.net/emacs-jabber/screenshots/">screenshots</a>.<br> 
<b>newsflash : jabber.el is no longer here. go to <a href="http://www.sf.net/projects/emacs-jabber">sourceforge</a> for the latest version</b>
<br>-->
<a href="http://sourceforge.net">
<img border="0" src="http://sourceforge.net/sflogo.php?group_id=88346&amp;type=2" width="125" height="37" alt="SourceForge.net Logo" style="position: absolute; top: 0em; right: 0em;"></a>

<p>see also <a href="http://www.emacswiki.org/cgi-bin/wiki/JabberEl">the
JabberEl page of EmacsWiki</a>, <a href="http://lists.sourceforge.net/lists/listinfo/emacs-jabber-general">
the mailing list</a> and <a href="xmpp:jabber.el@conference.jabber.se?join">the chat room</a> (it's <code>jabber.el@conference.jabber.se</code>, if your web browser is not configured for XMPP URIs).</p>

<p>if you use <a href="http://wiki.gnuarch.org">GNU Arch</a>, you can use the
Arch mirror of the CVS repository.  these commands get it for you:</p>

<pre>tla register-archive http://www.dtek.chalmers.se/~henoch/archive-2005
tla get mange@freemail.hu--2005/emacs-jabber--cvs-head--0 emacs-jabber</pre>

<p>it's manually maintained, so bug Magnus (JID: <a href="xmpp:legoscia@jabber.cd.chalmers.se">legoscia@jabber.cd.chalmers.se</a>) if it
doesn't seem up to date.</p>

<h3>version 0.7.1 - <a href="http://sourceforge.net/project/showfiles.php?group_id=88346&amp;package_id=92339&amp;release_id=482983">31-Jan-2007</a></h3>

<ul>
<li>STARTTLS</li>
<li>SRV records (requires No Gnus)</li>
<li>Message composition buffer</li>
<li>XMPP URIs are handled (see <a href="manual-0.7.1/XMPP-URIs.html">manual</a> for setup)</li>
<li>Autoaway</li>
<li>MUC improvements

<ul>
<li>Don't display alerts for your own messages</li>
<li>Presence changes are sent to MUC rooms too</li>
<li>Check room features before joining</li>
</ul>

<li>Avatars</li>

<li>File transfer</li>

<li>Sound files per contact for alerts</li>

<li>New function: jabber-send-directed-presence</li>

<li>Entity time supported (XEP-0090)</li>

<li>Last activity supported (XEP-0012)</li>
</ul>

<p>Read the <a href="manual-0.7.1/">manual</a>.</p>


<h3>version 0.7 - <a href="http://sourceforge.net/project/showfiles.php?group_id=88346&amp;package_id=92339&amp;release_id=381160">27-Dec-2005</a></h3>

<ul>
<li>SSL connections possible</li>
<li>Chat buffers rewritten</li>
<li>MUC improved</li>
<li>Global key bindings under C-x C-j</li>
<li>Vcard viewer and editor</li>
<li>Roster export</li>
<li>Message events (JEP-0022)</li>
<li>Easy way to define external notifiers</li>
<li>Activity mode improved</li>
<li>Roster display optimized</li>
<li>Optionally use per-contact history files</li>
<li>Jabber menu in menubar not enabled by default</li>
<li>Flyspell in chat buffers</li>
<li>Different time formats for instant and delayed messages</li>
<li>Chat buffers in inactive windows are scrolled</li>
<li>Roster is sorted by name also</li>
<li>Countless bugfixes</li>
</ul>

<p>Read the <a href="http://emacs-jabber.sourceforge.net/manual-0.7/">manual</a>.</p>

<h3>version 0.6.1 - <a href="http://sourceforge.net/project/showfiles.php?group_id=88346&amp;package_id=92339&amp;release_id=292750">27-Dec-2004</a></h3>

<ul>
<li>Now works with ejabberd</li>
<li>Message history (Mathias Dahl)</li>
<li>Backlogs</li>
<li>Activity tracking on the mode line (Carl Henrik Lunde)</li>
<li>Receive an alert when a specific person goes online (Mathias Dahl)</li>
<li>Support for /me in chats (Nolan Eakins)</li>
<li>Message alerts for current buffer can be disabled</li>
<li>Basic moderation support in MUC</li>
<li>MUC alerts are separated from ordinary message alerts</li>
</ul>

<p>Read the
<a href="http://emacs-jabber.sourceforge.net/manual-0.6.1/">manual</a>,
in which there is now a section on
<a href="http://emacs-jabber.sourceforge.net/manual-0.6.1/Protocol-support.html">protocol support</a>.</p>

<h3>version 0.6 - <a href="http://sourceforge.net/project/showfiles.php?group_id=88346&amp;package_id=92339&amp;release_id=275815">17-Oct-2004</a></h3>

<ul>
<li>Chat buffers no longer use the minibuffer, making it easier to use
  ordinary editor commands and to pause writing halfway</li>
<li>The roster display and the chat buffer prompts are now customizable</li>
<li>The online status of the contact is displayed in the chat buffer
  (Emacs only)</li>
<li>The connect function automatically sends presence after connecting</li>
<li>The names of the roster buffer and chat buffers are customizable</li>
<li>RET and C-k do what you would expect in the roster buffer</li>
</ul>

<p>Read the <a href="http://emacs-jabber.sourceforge.net/manual-0.6/">manual</a>.</p>

<h3>version 0.5.1 - <a href="http://sourceforge.net/project/showfiles.php?group_id=88346&amp;package_id=92339&amp;release_id=236857">08-May-2004</a></h3>

<ul>
<li>Nicknames are accepted whenever a JID is asked for.</li>
<li>Roster entry spacing is customizable (default is none)</li>
<li>Bug fix regarding mixed-case JIDs</li>
<li>Experimental code for receiving files - see the README</li>
<li>Read the <a href="http://emacs-jabber.sourceforge.net/manual-0.5.1/">manual</a></li>
</ul>

<h3>version 0.5 - <a href="http://sourceforge.net/project/showfiles.php?group_id=88346&amp;package_id=92339&amp;release_id=228471">03-April-2004</a></h3>

<ul>
<li>Modular design; plugins easier to write</li>
<li>Support for Ad-Hoc Commands and setting presence remotely</li>
<li><a href="manual-0.5/">Browse documentation here</a></li>
</ul>

<h3>version 0.4.1 - <a href="http://sourceforge.net/project/showfiles.php?group_id=88346&amp;package_id=92339&amp;release_id=217577">16-February-2004</a></h3>
<ul>
<li> XEmacs support - basically works, needs testing and care.</li>
<li> "Set status" menu fixed</li>
</ul>

<h3>version 0.4 - 05-February-2004</h3>
<ul>
<li> SHA-1 password hashing</li>
<li> customisation hooks</li>
<li> browsing improved</li>
<li> added service discovery</li>
<li> added in-band registration</li>
<li> added searching</li>
<li> <a href="/emacs-jabber/jabber.html">new manual</a></li>
</ul>
<h3>version 0.3 - 21-April-2002</h3>
<ul>
<li> improved groupchat support (thanks to nimrod for tip)</li>
<li> improved roster (buddy-list) display</li>
<li> infoquery rewritten - great improvement</li>
<li> improved minimal browsing support !</li>
<li> added customizable faces</li>
<li> added more customizable variables</li>
<li> more (helpful) comments in code</li>
<li> added explicit licensing (GPL, like emacs itself)</li>
</ul><br>
<h3>version 0.2 - 05-April-2002</h3>
<ul>
<li> added groupchat support !</li>
<li> added minimal browsing support !</li>
<li> fixed bug in chat mode</li>
<li> abolished message mode (i only use chat mode anyway)</li>
<li> fixed some problems with incoming xml</li>
<li> added a pull-down menu</li>
<li> added customizable variables</li>
</ul><br>
<br>
<h3>features currently missing (TODO)</h3>
<ul>
<li> global keymaps</li>
<li> logging (history)</li>
<li> overall exception handling</li>
<li> sanity checks (for incoming xml, and for myself :)</li>
<li> clickable URLs in messages</li>
<li> support for versions other than gnu-emacs-21 (older emacs, xemacs, jemacs)</li>
<li> and more...</li>
</ul><br>
<br>
<h3>installation</h3>
<p>get the module <kbd>emacs-jabber</kbd> from <a href="http://sourceforge.net/cvs/?group_id=88346">Sourceforge CVS</a>.
additionally, if you don't have Gnus 5.10 (<kbd>M-x gnus-version</kbd> will tell), you will need <kbd>hex-util.el</kbd>
and <kbd>sha1-el.el</kbd> from <a href="http://quimby.gnus.org/cgi-bin/cvsweb.cgi/gnus/lisp/">Gnus CVS</a>.
copy these to a directory in your emacs load path.</p>
<p>in your .emacs file add the call <kbd>(require 'jabber)</kbd>. you can also use auto-load.</p>
<p>set your account details with <kbd>M-x jabber-customize</kbd>.  then, type <kbd>M-x jabber-connect</kbd> to connect,
and <kbd>M-x jabber-send-presence</kbd> to send initial presence.</p>
<p>please note that the current version is dependant on gnu-emacs-21 - it depends on xml.el (which you can download separately) and on some newer functions.</p>
<h3>howto</h3>
<p>as jabber.el is still very young, you'll have to be rather emacs-savvy to use it (or at least have the willingness to learn a little).<br></p>
<p>to connect to the server, call <i>(<b>jabber-connect</b>)</i>.<br>
call it from the pull-down menu or call interactively : [M-x jabber-connect RET] and enter the parameters from the minibuffer.</p>
<p>after a successful connection, a new buffer should appear, named <b>*-jabber-*</b>. this buffer is your roster view. click any user with the mouse to start a 1-on-1 chat.</p>
<p>alternatively, you can also call <i>(<b>jabber-chat-with</b> jid)</i>.<br>
for example : (jabber-chat-with "object@magaf.org")<br>
or [M-x jabber-chat-with RET]. in that case you will be asked for a jid. use the TAB key to complete a partial jid from the roster. (nice, eh?)</p>
<p>to send a message, call <i>(<b>jabber-send-message</b> to body subject type)</i><br>
for example : (jabber-send-message "object@magaf.org" "hi there" "" "") will appear as an instant message.<br>
(jabber-send-message "object@magaf.org" "tom, you are the best" "the truth, nothing but the truth" "normal") too.<br>
(jabber-send-message "object@magaf.org" "hya" "" "chat") will appear as a 1-on-1 chat<br>
of course, this too can be called interactively : [M-x jabber-send-message RET] (with jid completion, like anywhere else).</p>
<p>to change your status, call <i>(<b>jabber-send-presence</b> show status)</i>.<br>
for example : (jabber-send-presence "" "Online") to appear online, or (jabber-send-presence "dnd" "copulating") to appear lucky.<br>
needless to say, this can be called from the minibuffer too. do [M-x jabber-send-presence RET] and enjoy TAB completion from "", "away", "xa", "dnd" or "chat" for the first parameter (show).</p>
<p>when a new chat message arrives, it is sent to the chat buffer ("*jabber-chat-:-user*"). if such a buffer does not exist it is created. in this buffer, all straight keystrokes are being captured for starting the reply command. to send a line, simply start typing...</p>
<p>all messages are converted to 1-on-1 chats (simply because i find that more convinient).</p>
<h3>contact</h3>
<p>jabber.el is written by <a href="http://intellectronica.net/object/">Tom Berger</a> (Jabber: object@jabber.org.uk) and
Magnus Henoch (Jabber: legoscia@jabber.cd.chalmers.se).  feel free to contact us.  you can also report bugs at the
<a href="http://sourceforge.net/projects/emacs-jabber/">Sourceforge project page</a>.</p>
</body>
</html>
